Page MenuHomePhabricator

NPE in JsonPageLoadStrategy.updateCurrentBackStackItem
Closed, ResolvedPublic

Description

Stack trace

java.lang.NullPointerException: Attempt to invoke virtual method 'boolean java.util.ArrayList.isEmpty()' on a null object reference
at org.wikipedia.page.JsonPageLoadStrategy.updateCurrentBackStackItem(JsonPageLoadStrategy.java:502)
at org.wikipedia.page.JsonPageLoadStrategy.onSaveInstanceState(JsonPageLoadStrategy.java:215)
at org.wikipedia.page.PageViewFragmentInternal.onSaveInstanceState(PageViewFragmentInternal.java:424)
at android.support.v4.app.Fragment.performSaveInstanceState(Fragment.java:1936)
at android.support.v4.app.FragmentManagerImpl.saveFragmentBasicState(FragmentManager.java:1654)
at android.support.v4.app.FragmentManagerImpl.saveAllState(FragmentManager.java:1722)
at android.support.v4.app.FragmentActivity.onSaveInstanceState(FragmentActivity.java:527)
at org.wikipedia.page.PageActivity.onSaveInstanceState(PageActivity.java:789)
at android.app.Activity.performSaveInstanceState(Activity.java:1298)
at android.app.Instrumentation.callActivityOnSaveInstanceState(Instrumentation.java:1288)
at android.app.ActivityThread.callCallActivityOnSaveInstanceState(ActivityThread.java:3958)

OTRS

https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom&TicketID=8463232
https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom&TicketID=8464533
https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom&TicketID=8465172
https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom&TicketID=8465936

Environment observed

App version: 2.0.104-beta-2015-06-25
Android OS versions: 5.1.1, 4.4.2

Details

Related Gerrit Patches:

Event Timeline

bearND created this task.Jun 27 2015, 9:42 PM
bearND raised the priority of this task from to High.
bearND updated the task description. (Show Details)
bearND moved this task to Needs Triage on the Wikipedia-Android-App-Backlog board.
bearND added a subscriber: bearND.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2015, 9:42 PM
bearND updated the task description. (Show Details)Jun 28 2015, 9:45 PM

Change 221970 had a related patch set uploaded (by BearND):
Avoid NPE in JsonPageLoadStrategy.onSaveInstanceState

https://gerrit.wikimedia.org/r/221970

Change 221970 merged by jenkins-bot:
Avoid NPE in JsonPageLoadStrategy.onSaveInstanceState

https://gerrit.wikimedia.org/r/221970

bearND closed this task as Resolved.Jul 20 2015, 4:58 PM